Debian Bug report logs - #578393
ITP: dymo-cups-drivers -- Cups drivers for Dymo labelwriter

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Stein <news@jonasstein.de>

Date: Mon, 19 Apr 2010 14:51:05 UTC

Owned by: "Didier 'OdyX' Raboud" <odyx@debian.org>

Severity: wishlist

Merged with 640246

Fixed in version dymo-cups-drivers/1.4.0-1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#578393; Package cups. (Mon, 19 Apr 2010 14:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Stein <news@jonasstein.de>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 19 Apr 2010 14:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Stein <news@jonasstein.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups: Dymo label printer is not listet, but GPL driver exists
Date: Mon, 19 Apr 2010 16:53:16 +0200
Package: cups
Version: 1.4.3-1
Severity: normal

The readme says:

==================================
The DYMO SDK for Linux contains Linux drivers for the LabelWriter and LabelManager
product lines. The drivers conform to the CUPS (Common Unix Printing System) standard. The
SDK also includes documentation, driver source code and examples of use.

Requirements
The drivers were tested under the latest stable CUPS version 1.2 They work correctly with
versions of CUPS 1.3.9

Operating system
The drivers have been tested under following Linux distributions so far and will work on most
Linux distributions with CUPS as long as the CUPS package dependencies are met.

Gentoo Linux 2005 
Fedora Core 3 & 4 
CentOS Linux 
Ubuntu 8.04 
Ubuntu 9.0.4 
The drivers will work under other operating systems where CUPS is running. For example, other
Unix systems like Sun Solaris, AIX, BSD, Macintosh OS X, etc. Please note: the CUPS drivers
work on OS X but do not work with the Mac version of DYMO Label Software.

License
Drivers are provided under the GPL license version 2. See the full text of the license in the
LICENSE file.

DYMO Products Supported
The following products are supported:
· LabelWriter 450
· LabelWriter 450 Turbo
· LabelWriter 450 Twin Turbo
· LabelWriter 450 DUO
· LabelWriter 4XL
· LabelWriter 400
· LabelWriter 400 Turbo
· LabelWriter DUO
· LabelWriter Twin Turbo
· LabelMANAGER 450
· LabelPOINT 350

======================

http://www.dymo.com/media/Software/dymo-cups-drivers-1.2.0.tar.gz
 

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cups depends on:
ii  adduser                 3.112            add and remove users and groups
ii  bc                      1.06.95-2        The GNU bc arbitrary precision cal
ii  cups-client             1.4.3-1          Common UNIX Printing System(tm) - 
ii  cups-common             1.4.3-1          Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0]   1.5.30           Debian configuration management sy
ii  ghostscript             8.71~dfsg-3      The GPL Ghostscript PostScript/PDF
ii  libavahi-client3        0.6.25-3         Avahi client library
ii  libavahi-common3        0.6.25-3         Avahi common library
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libcups2                1.4.3-1          Common UNIX Printing System(tm) - 
ii  libcupscgi1             1.4.3-1          Common UNIX Printing System(tm) - 
ii  libcupsdriver1          1.4.3-1          Common UNIX Printing System(tm) - 
ii  libcupsimage2           1.4.3-1          Common UNIX Printing System(tm) - 
ii  libcupsmime1            1.4.3-1          Common UNIX Printing System(tm) - 
ii  libcupsppdc1            1.4.3-1          Common UNIX Printing System(tm) - 
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libgcc1                 1:4.4.2-9        GCC support library
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  libgssapi-krb5-2        1.8.1+dfsg-2     MIT Kerberos runtime libraries - k
ii  libijs-0.35             0.35-7           IJS raster image transport protoco
ii  libkrb5-3               1.8.1+dfsg-2     MIT Kerberos runtime libraries
ii  libldap-2.4-2           2.4.17-2.1       OpenLDAP libraries
ii  libpam0g                1.1.1-2          Pluggable Authentication Modules l
ii  libpaper1               1.1.23+nmu2      library for handling paper charact
ii  libpoppler5             0.12.2-2         PDF rendering library
ii  libslp1                 1.2.1-7.7        OpenSLP libraries
ii  libstdc++6              4.4.2-9          The GNU Standard C++ Library v3
ii  libusb-0.1-4            2:0.1.12-14      userspace USB programming library
ii  lsb-base                3.2-23           Linux Standard Base 3.2 init scrip
ii  perl-modules            5.10.1-11        Core Perl modules
ii  poppler-utils           0.12.2-2         PDF utilitites (based on libpopple
ii  procps                  1:3.2.8-8        /proc file system utilities
ii  ssl-cert                1.0.25           simple debconf wrapper for OpenSSL
ii  ttf-freefont            20090104-6       Freefont Serif, Sans and Mono True
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages cups recommends:
ii  cups-driver-gutenprint    5.2.4-1        printer drivers for CUPS
ii  foomatic-filters          4.0-20090509-1 OpenPrinting printer support - fil
ii  ghostscript-cups          8.71~dfsg-3    The GPL Ghostscript PostScript/PDF

Versions of packages cups suggests:
ii  cups-bsd                  1.4.3-1        Common UNIX Printing System(tm) - 
pn  cups-pdf                  <none>         (no description available)
pn  cups-ppdc                 <none>         (no description available)
ii  foomatic-db               20090616-1     OpenPrinting printer support - dat
ii  foomatic-db-engine        4.0-20090509-1 OpenPrinting printer support - pro
pn  hplip                     <none>         (no description available)
pn  smbclient                 <none>         (no description available)
ii  udev                      151-3          /dev/ and hotplug management daemo
pn  xpdf-korean | xpdf-japane <none>         (no description available)

-- debconf information:
  cupsys/raw-print: true
  cupsys/backend: ipp, lpd, parallel, scsi, serial, socket, usb, snmp, dnssd




Severity set to 'wishlist' from 'normal' Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Wed, 22 Aug 2012 14:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#578393; Package cups. (Sat, 04 Jan 2014 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Sat, 04 Jan 2014 16:39:04 GMT) Full text and rfc822 format available.

Message #12 received at 578393@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Jonas Stein <news@jonasstein.de>, 578393@bugs.debian.org
Subject: Re: Bug#578393: cups: Dymo label printer is not listet, but GPL driver exists
Date: Sat, 04 Jan 2014 17:35:54 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 wnpp
Control: retitle -1 RFP: dymo-cups-drivers -- Cups drivers for Dymo
labelwriter
Hi Jonas,

as has been pointed in the #640246 bug, this is essentially a "Request
for Package", which I consider covered by the (later) request to package 
dymo-cups-drivers, #640246.

I'm therefore hereby merging the two bugs. I might eventually take a
shot at getting these drivers packaged, but don't count on it.

Cheers, OdyX

Le lundi, 19 avril 2010, 16.53:16 Jonas Stein a écrit :
> The readme says:
> 
> ==================================
> The DYMO SDK for Linux contains Linux drivers for the LabelWriter and
> LabelManager product lines. The drivers conform to the CUPS (Common
> Unix Printing System) standard. The SDK also includes documentation,
> driver source code and examples of use.
> 
> http://www.dymo.com/media/Software/dymo-cups-drivers-1.2.0.tar.gz
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'cups' to 'wnpp'. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 578393-submit@bugs.debian.org. (Sat, 04 Jan 2014 16:39:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions cups/1.4.3-1. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 578393-submit@bugs.debian.org. (Sat, 04 Jan 2014 16:39:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: dymo-cups-drivers -- Cups drivers for Dymo' from 'cups: Dymo label printer is not listet, but GPL driver exists' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 578393-submit@bugs.debian.org. (Sat, 04 Jan 2014 16:39:06 GMT) Full text and rfc822 format available.

Merged 578393 640246 Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Sat, 04 Jan 2014 16:39:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: dymo-cups-drivers -- Cups drivers for Dymo labelwriter' from 'RFP: dymo-cups-drivers -- Cups drivers for Dymo' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 640246-submit@bugs.debian.org. (Mon, 06 Jan 2014 10:51:06 GMT) Full text and rfc822 format available.

Owner recorded as "Didier 'OdyX' Raboud" <odyx@debian.org>. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 640246-submit@bugs.debian.org. (Mon, 06 Jan 2014 10:51:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 06 Jan 2014 19:06:16 GMT) Full text and rfc822 format available.

Message #27 received at 640246-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 640246-close@bugs.debian.org
Subject: Bug#640246: fixed in dymo-cups-drivers 1.4.0-1
Date: Tue, 07 Jan 2014 16:00:06 +0000
Source: dymo-cups-drivers
Source-Version: 1.4.0-1

We believe that the bug you reported is fixed in the latest version of
dymo-cups-drivers, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640246@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated dymo-cups-drivers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 06 Jan 2014 15:17:11 +0100
Source: dymo-cups-drivers
Binary: printer-driver-dymo
Architecture: source amd64
Version: 1.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 printer-driver-dymo - printer driver for DYMO label printers
Closes: 640246
Changes: 
 dymo-cups-drivers (1.4.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #640246)
Checksums-Sha1: 
 ebc46fb4475d569bf79716286e53b85d64403962 1948 dymo-cups-drivers_1.4.0-1.dsc
 3576496a1afd5a0e076821081a1919468b50d347 420068 dymo-cups-drivers_1.4.0.orig.tar.gz
 89263abdec3b56c178736168c1b5abee4b315bb1 2356 dymo-cups-drivers_1.4.0-1.debian.tar.gz
 095529b8037e353bcd0f39921033dcbebd20337f 47948 printer-driver-dymo_1.4.0-1_amd64.deb
Checksums-Sha256: 
 cdf727a37d8c6310f74d9f386dcc510f5dd3a192b83b8ccbed6e3c650637bcfb 1948 dymo-cups-drivers_1.4.0-1.dsc
 c60797e7e986ca329f46e9a6ab1cb6382383952b15685ed69fd91f3c7ed64f71 420068 dymo-cups-drivers_1.4.0.orig.tar.gz
 25487bdc8dc881a66b71a3db59d5b0e66de8cd1bc22fb0c25963402fba55cd42 2356 dymo-cups-drivers_1.4.0-1.debian.tar.gz
 582b77fc3dfa06b6f24a2e9bc59f68e23299f74d531efee0f0f9b15dece16b23 47948 printer-driver-dymo_1.4.0-1_amd64.deb
Files: 
 2f8a078c94e555a9d54d6cd8b1cad76e 1948 text optional dymo-cups-drivers_1.4.0-1.dsc
 8774f98bbe8d57f5b337019ae86a23f0 420068 text optional dymo-cups-drivers_1.4.0.orig.tar.gz
 2ca3130d45533177a9573aaa6aba501a 2356 text optional dymo-cups-drivers_1.4.0-1.debian.tar.gz
 f89e72bf517441023ec50c8e8eceb6df 47948 text optional printer-driver-dymo_1.4.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQGcBAEBCAAGBQJSysX1AAoJEIvPpx7KFjRVv+kL/3ppu98Yw+It3LtyXVkIbbq1
/BccjesX3XaMbyBlsmZjvCzIXg0/VlnPj0/pFJBUN1xBCfmFMOPCqwLxM71vINd8
AQDacdTE87EJMXkFON1mxrSoux0iUeayf+WVzKFharP0ajiiO1xn7bkeiLpIILBr
EWc2yi57OtVnco3b7U6K7nSW2rErydec9hMS7HypE4x0+71CAlWSZVfN/7S4zDoq
a/slN1t8Nk+UFtPbK9roza78j7VrGsHCmkomYimjin7Qr3wGgUtadeFKJ+oXLOL4
2JLe55Wlhf0VyxyHENkgwQe2/wBMOJDsrlhehlsOljNE+TziMvQUCKqq6Hc5Lczg
9Z6ZOTrpvLZmHG1xyAtsO8Is5OrULEaS4Ql4f3E0NqKhMn3xlwTrSOsy1wR9jJDY
jPEn2r4GAQsSNLnHzhUr8IgW9E6CWVvTYj5x3mCLThZP/x/Y/nkkbis8F87J6bxg
j0MUfff7HIeWfkXEFcQfMZb8y374SedAEPNhnTVvbw==
=gtBR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Feb 2014 07:28:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:36:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.